libevent not found - Unix

This is a discussion on libevent not found - Unix ; I need to install fragroute which has a dependency on libevent. I have already installed libevent , but still that error persists. What I should do ????...

+ Reply to Thread
Results 1 to 5 of 5

Thread: libevent not found

  1. libevent not found

    I need to install fragroute which has a dependency on libevent. I have
    already installed libevent , but still that error persists. What I
    should do ????

  2. Re: libevent not found

    In <1fa73cce-2f55-4a96-86e6-dfc59678d08c@x41g2000hsb.googlegroups.com> asit writes:

    > I need to install fragroute which has a dependency on libevent. I have
    > already installed libevent , but still that error persists. What I
    > should do ????


    Where did you install it? What is the full path name?

    --
    John Gordon A is for Amy, who fell down the stairs
    gordon@panix.com B is for Basil, assaulted by bears
    -- Edward Gorey, "The Gashlycrumb Tinies"


  3. Re: libevent not found

    On Jul 8, 12:08*am, John Gordon wrote:
    > In <1fa73cce-2f55-4a96-86e6-dfc59678d...@x41g2000hsb.googlegroups.com> asit writes:
    >
    > > I need to install fragroute which has a dependency on libevent. I have
    > > already installed libevent , but still that error persists. What I
    > > should do ????

    >
    > Where did you install it? *What is the full path name?


    i just installed...like this

    extracted it
    went to that directory
    then ./configure
    make install
    make clean

    Do i need any more improvement ???

  4. Re: libevent not found

    asit wrote:
    > On Jul 8, 12:08*am, John Gordon wrote:
    > > In <1fa73cce-2f55-4a96-86e6-dfc59678d...@x41g2000hsb.googlegroups.com> asit writes:
    > >
    > > > I need to install fragroute which has a dependency on libevent. I have
    > > > already installed libevent , but still that error persists. What I
    > > > should do ????

    > >
    > > Where did you install it? *What is the full path name?


    > i just installed...like this


    > extracted it
    > went to that directory
    > then ./configure
    > make install
    > make clean


    > Do i need any more improvement ???


    1) Run ./configure again, but with the '--help' option, and check
    the text for the place where the library gets installed per
    default (assuming you didn't specify an install path when you
    did run ./configure).

    2) Find out if the path the library was installed in is in the
    list of paths where the run-time loader is looking for li-
    braries. Since it can differ considerably how this is to be
    done and I don't know about too many system, here only a
    description for Linux: check the files /etc/ld.so.conf and
    those below /etc/ld.so.conf.d/. If the path isn't in there
    add it. Then run 'ldconfig'.

    A typical problem is that the library is installed in /usr/local/lib/
    per default but the run-timer loader is only looking in /usr/lib.
    On Linux you then e.g. would create a file in /etc/ld.so.conf.d/
    and put into it just '/usr/local/lib' and the run 'ldconfig'.

    Regards, Jens
    --
    \ Jens Thoms Toerring ___ jt@toerring.de
    \__________________________ http://toerring.de

  5. Re: libevent not found

    asit schrieb:
    > On Jul 8, 12:08 am, John Gordon wrote:
    >
    >>In <1fa73cce-2f55-4a96-86e6-dfc59678d...@x41g2000hsb.googlegroups.com> asit writes:
    >>
    >>
    >>>I need to install fragroute which has a dependency on libevent. I have
    >>>already installed libevent , but still that error persists. What I
    >>>should do ????

    >>
    >>Where did you install it? What is the full path name?

    >
    >
    > i just installed...like this
    >
    > extracted it
    > went to that directory
    > then ./configure
    > make install
    > make clean
    >
    > Do i need any more improvement ???


    isn't there a 'make' missing (after configure)?

+ Reply to Thread